# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).

## 0.1.0 - 2016-10-10
### Added
**Database**
- MonetDB connection middleware
- MongoDB connection middleware
- query_exec custom middleware (promise that executes an SQL query with optional parameters)
- This version depends on the version 0.1.0 of [MonetDB schema](https://gitlab.c3sl.ufpr.br/simcaq/monetdb)

**Enrollments**
- Enrollments route with all sub dependencies

**Middlewares**
- parseParams middleware to parse HTTP GET params
- query middleware that serves as an interface between squel generated sql and the query execution
- response middleware that gives a standard response (json, csv or xml)
